KDE/Plasma 5.24 for Debian

Yesterday, KDE released version 5.24 of the Plasma desktop with the usual long list of updates and improvements. This release will be considered a LTS release. And Plasma 5.24 is now available for all Debian releases. (And don’t forget KDE Gears/Apps 21.12!)

As usual, I am providing packages via my OBS builds. If you have used my packages till now, then you only need to change the plasma5XX line to read plasma524. To give full details, I repeat (and update) instructions for all here: First of all, you need to add my OBS key say in /etc/apt/trusted.gpg.d/obs-npreining.asc and add a file /etc/apt/sources.list.d/obs-npreining-kde.list, containing the following lines, replacing the DISTRIBUTION part with one of Debian_11 (for Bullseye), Debian_Testing, or Debian_Unstable:

deb https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/other-deps/DISTRIBUTION/ ./
deb https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/frameworks/DISTRIBUTION/ ./
deb https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/plasma524/DISTRIBUTION/ ./
deb https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/apps2112/DISTRIBUTION/ ./
deb https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/other/DISTRIBUTION/ ./

The sharp eye might have detected also the apps2112 line, yes the KDE Gear suite of packages has been updated to 21.12 some time ago and is also available in my OBS builds (and in Debian/experimental).

Just one warning, but I guess most people using these repos already know it: Since I am not using Debian (lovely politics!) for my main machine anymore (only for my laptop for now), I haven’t tested these packages as solidly as the one up to now. Still, I got already one positive installation feedback.

Enjoy the new Plasma!

76 Responses

  1. luc says:

    thank you, Norbert! Nice surprise

  2. hendrikL says:

    No issues so far with updating and some testing.
    Thank you for your work!

  3. luc says:

    I can confirm: I installed it on 2 PC’s without issues.

  4. Anonymous says:

    Thank you Norbert. Politics do suck, especially the ones you were talking about but it’s great to see you still doing this. I’m a debian user and don’t wanna go the ubuntu path(snap) or the arch way(nothing wrong with arch but for my stuff I need a install and forget distro like debian) so thanks to your contributions I can remain with debian.
    Thank you once again

  5. Justanobody says:

    Thank you again, Norbert. I know the “politics” that made you leave are the worst kind of politics but to see you’re still committed to help Debian users, who on the vast majority I’d safely say appreciate your work to always bring KDE/Plasma to Debian, is admirable. It’s thanks to you I can stay in a truly stable system and use KDE and not have to migrate to other places that are infested with either snaps or not enough man power to have a reliable system.
    Thanks again

    • fromplanetkde says:

      I’ve seen this on planetkde and am wondering what kind of soap opera is behind this?

  6. Dmitriy says:

    I have updated 2 PCs. No issues at the moment. The only trouble was rebuilding kmymoney against the new libs, that was a little bit tricky for not a developer :-D. Good to here that your billds are still updated. I’ve been using them from the very beginning. Thank you for your job and for refreshing KDE in Debian!

  7. Joe says:

    You are my hero! I use wayland on a laptop because of its touchscreen and your packages have made my experience with this system very nice. I was quite worried you’d quit updating these packages and I’m absolutely stoked to see that you have continued, especially as 5.24 seems to be a really big deal. Thank you so much for continuing to do this! The awesomeness of what you’re doing here cannot be overstated. Having the newest possible KDE in Debian Stable is so amazingly great! I would very much like to learn the process for doing what you do, because it’s amazing and extremely valuable!

  8. I’ve just upgraded my desktop machine (running Debian testing) — everything works like a charm so far! Thanks a lot for your efforts and great work! 👍

  9. Manfred Tremmel says:

    Great Job Norbert,
    I’ve installed it on three Notebooks, no problems until now.

  10. PtitGNU says:

    Thank you Norbert, I didn’t expect this new release after recent events, thanks for not forgetting us 🙂
    For the failed build (kde-spectacle) in gears 21.12 for Debian_11, it’s seems to be related to libkimageannotator (version 0.4.0 in bullseye) that did not yet include ‘setCanvasColor’.
    However version 0.5.3 is now available in bullseye-backports but I don’t know if it’s possible to depend on a ‘backports’ package in the build process… (or should it be added to other-deps ?)

  11. Jose Javier says:

    Thank you very much Norbert, very grateful for your work.

  12. Victor says:

    Hello, a little typo: “/etc/apt/sources.lists.d/obs-npreining-kde.list” must said “/etc/apt/sources.list.d/obs-npreining-kde.list” (list.d no lists.d)
    V.

  13. Alan says:

    I am getting hash file size errors when attempting to install on Debian_Unstable:

    “`
    Get:10 https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/apps2112/Debian_Unstable ./ libkf5mailtransportakonadi5 21.12.2-1~np1 [36.7 kB]
    Err:10 https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/apps2112/Debian_Unstable ./ libkf5mailtransportakonadi5 21.12.2-1~np1
    File has unexpected size (36692 != 36668). Mirror sync in progress? [IP: 2a07:de40:401::70 443]
    “`

  14. FrugalFlip says:

    Hello,

    I’ve been getting the following issues when trying to upgrade via OBS servers.

    Get:29 https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/apps2112/Debian_Unstable ./ konsole 4:21.12.2-1~np1 [917 kB]
    Err:29 https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/apps2112/Debian_Unstable ./ konsole 4:21.12.2-1~np1
    File has unexpected size (917028 != 917380). Mirror sync in progress? [IP: 82.209.230.71 443]
    Hashes of expected file:
    – SHA256:10cac589b719a6c1dc5b572970473df2e5d1d75a78c42da8d09b08e268ca7646
    – SHA1:4e239465ce9c57c23dcde69e88c5c494e9277eae [weak]
    – MD5Sum:2ee6aa396d5575667fba53ad839f6106 [weak]
    – Filesize:917380 [weak]
    Get:30 https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/apps2112/Debian_Unstable ./ krdc 4:21.12.2-1~np1 [1,705 kB]
    Err:30 https://download.opensuse.org/repositories/home:/npreining:/debian-kde:/apps2112/Debian_Unstable ./ krdc 4:21.12.2-1~np1
    File has unexpected size (1706164 != 1705364). Mirror sync in progress? [IP: 82.209.230.71 443]
    Hashes of expected file:
    – SHA256:487304977911d60d576c1d017811f42c4fa0b611d74a76a6375b8c99102e84f5
    – SHA1:4b4fb2a4864535751cefd391b067fd19dbd780c6 [weak]
    – MD5Sum:8c79f1fd13535417c76767868cd8caf5 [weak]
    – Filesize:1705364 [weak]

    These haven’t occurred before though. Should I just wait for a few more days for mirrors to be synchronized?

  15. Luc says:

    I just installed an impressive amount, 400++, of ~np2 packages. Thanks!!

  16. João Pedro Sousa says:

    Norbert, yet again, Thank You for keeping this up on Debian. We defitenely need you! Updated my Debian Sid desktops/laptops and all is good! Great work as always.

  17. Shmerl says:

    Thanks for the packages, they work fine!

    By the way, do you know what makes KDE use systemd “boot” by default? I was able to enable it with:

    kwriteconfig5 –file startkderc –group General –key systemdBoot true

    After that, stuff like session log went into systemd logs accessible with journalctl instead of $HOME/.local/share/sddm/*log

    Is it some kind of of build config key to make it like that by default? It would be nice to have that in Debian out of the box.

  18. dpanter says:

    A very happy Siduction user here with 5.24, dist-upgraded 740 packages with zero issues. I hadn’t updated for a few days. 😉
    Thanks again Norbert for not abandoning us just yet!

  19. Ash says:

    When debían release the KDE 5.24. Will those packages be replaced/deleted?

    • If you are on Debian/unstable or testing, the packages from Debian will take precedence over my packages, and that is good so.
      But these packages will remain here and will be updated to the latest patch version of Plasma 5.24.

    • Anonymous says:

      No, norbert’s packages have priority for now. And this is bad.

      • That is incorrect. If you don’t do any specific pinning (like I do on my Debian/unstable machine), the packages in Debian will override mine. Just today I got 100+ updates on my sid machine from unstable updating to the Debian version of Plasma 5.24.3.

        So please don’t spread incorrect information.

  20. Luc says:

    whoopie KDE Frameworks 5.91 arrived! Thanks again. Vielen Dank!

  21. Dean says:

    Thanks so much Norbert! Much appreciated!!

  22. PtitGNU says:

    Hi Norbert,
    it seems that the “users” section in systemsettings now needs qml-module-qtquick-shapes (otherwise it displays a white block). Is it possible to add it as a dependency ?
    Thanks 🙂

  23. Sedat says:

    After upgrading from KDE/Plasma v5.23.5 to v5.24.x this package was not upgraded:
    libkwin4-effect-builtins1
    Can you comment on this?

  24. slow says:

    if you are on nvidia 470.103.01 and want to use wayland, you should *not* use this (x is fine)

    The new files somehow kill kde-wayland login (segfaults, then ‘could not determine $DISPLAY.’, then no contact with kde_init). maybe some wayland-specific files are missing.

    Could you please write a short memo how to successfully revert to 5.23.5 including all files?

    • With Wayland, your mileage may vary. I have heard fully working setups with Wayland as well as problems. Problems mostly arise when the 3D setup is not correct (often due to mixing binary installers with some libraries provided by the OS), and thus kwin is going down. But in your case, the error seems to be somewhere else, since the “could not determine $DISPLAY” happens even earlier. This is something independent of the packages here.

    • frank says:

      Did you fix this problem? We have the same problem. I am using gentoo, the log is almost the same.

  25. slow says:

    the system worked before under wayland, the new packages borked something (maybe some packages are missing?)

    • I don’t know and I cannot debug your system. I have positive feedback that it works on wayland, so it might be specific to your setup.

      Feel free to go back to plasma523, the repository is still available. But my guess is that Plasma 5.23 will work even less with Wayland.

  26. slow says:

    no, it seems to be related to your packages (klauncher- / qt- related? regular gnome wayland from debian sources works):
    ———–
    kdeinit5: preparing to launch ‘/usr/lib/x86_64-linux-gnu/libexec/kf5/klauncher’
    kdeinit5: Launched KLauncher, pid = 13227, result = 0
    Could not fully finish the process “/usr/bin/plasma_session”
    qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
    Error: could not determine $DISPLAY.
    Error: Can not contact kdeinit5!
    “kdeinit5_shutdown” () exited with code 255
    Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
    The Wayland connection broke. Did the Wayland compositor die?
    klauncher: Exiting on signal 6
    KCrash: crashing… crashRecursionCounter = 2
    KCrash: Application Name = klauncher path = /usr/lib/x86_64-linux-gnu/libexec/kf5 pid = 13227
    KCrash: Arguments: /usr/lib/x86_64-linux-gnu/libexec/kf5/klauncher –fd=9
    KCrash: Attempting to start /usr/lib/x86_64-linux-gnu/libexec/drkonqi
    startplasma-wayland: Shutting down…
    startplasmacompositor: Shutting down…
    startplasmacompositor: Done.
    QSocketNotifier: Invalid socket 7 and type ‘Read’, disabling…
    kdeinit5: Can not connect to the X Server.
    kdeinit5: Might not terminate at end of session.
    Failed to create wl_display (No such file or directory)
    qt.qpa.plugin: Could not load the Qt platform plugin “wayland” in “” even though it was found.
    This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

    Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.

    kdeinit5: KLauncher died unexpectedly.
    kdeinit5: preparing to launch ‘/usr/lib/x86_64-linux-gnu/libexec/kf5/klauncher’
    kdeinit5: (klauncher /usr/lib/x86_64-linux-gnu/libexec/kf5/klauncher) Pipe closed unexpectedlykdeinit5: Pipe closed unexpectedly: Unterbrechung während des Betriebssystemaufrufs
    kdeinit5: Launched KLauncher, pid = 13363, result = 1
    kdeinit5: PID 13227 terminated.
    kdeinit5: PID 13363 terminated.
    kdeinit5: Communication error with launcher. Exiting!

  27. Fred Osuna says:

    Thank you for updating these packages for Debian! I’m wondering, will you be updating this version (5.24) when they release new patches? (Yesterday I think KDE Plasma 5.24.2 was released according to schedule). Any updates would be appreciated.

  28. m4gr4th34 says:

    Thank you for this, I had been using 5.23 for a few months now with your installation. I used the update method above, and upgrade didn’t quite do the full job, so i did full-upgrade. it worked and i got 5.24.2 on neofetch. there was one more packet (plasma-workspace-data, or something like that), when i did full-upgrade again to install that, it completely removed kde from my system. i rebooted and only had gnome as a login option. I’m not sure what went wrong..?

    • Well, nobody but you yourself can tell that. Apt or whatever program you used *told* you that it will remove packages, and asked you whether this is ok. You have answered yes. There might be some conflict, or other reasons, nobody without access to the actual system and the logs can tell you.

      Next time I suggest *reading* what the application tells you and ponder whether this is a good idea …

      • m4gr4th34 says:

        not sure if my other replies went through. yes, i was sloppy. we definitely appreciate your work. i got it working by reinstalling via synaptic packet manager. i’ve only been using linux for 1.56 years now, so it’s all a learning curve. thank you again! i love using kde on debian!

  29. Víctor Daniel Velasco Martínez says:

    A big shame on Debian for demoting you and your hard work just because glassy politics were pushed by glassy broken people. But you packaging it here, is a mirror off your commitment to quality and being stronger that that glassy beings in there. Rock stays longer than glass in the world.

    I just tested 5.24.2 packages in a Raspberry Pi 400 running raspbian 64 bits, and at first glance, it seems to run great! 😀

  30. Luc says:

    I’ve just seen 21.12.3 and 5.24.3 arriving. Thanks a lot!!

  31. luc says:

    Hi Nobert, many thanks for releasing KDE Frameworks 5.92!

  32. Luc says:

    Hi, thanks for releasing Plasma 5.24.4 !!

  33. Shaun says:

    This is fantastic, thank you Norbert for your hard work!

    I’ve built my own custom lite build of Debian 11, and this is the icing on the cake. Runs beautifully, and just a nice slim and lean version of KDE.

  34. Sunderland93 says:

    Thank you! You made my dream about fresh KDE on Debian Stable come true!

  35. Luc says:

    Many thanks for releasing KDE Frameworks 5.93

  36. Aldek says:

    Hi, many thanks !
    I’ve no more ksysguard… Only 5.20-5-2 is available in my repo, and it was uninstall when i update. Any solution ?

  37. Giannis Tsoulos says:

    I have a problem with bookworm debian and the latest kde

    file:///usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/PlaceholderMessage.qml:219:5: QML Heading: Binding loop detected for property “verticalAlignment”
    QQmlEngine::setContextForObject(): Object already has a QQmlContext
    “file:///usr/share/kpackage/kcms/kcm_lookandfeel/contents/ui/main.qml”
    “Error loading QML file.\n84: Type NewStuff.Action unavailable\n184: Type NewStuff.Page unavailable\n495: Kirigami.LoadingPlaceholder is not a type\n”
    qml: The item SubCategoryPage_QMLTYPE_114(0x55a5ccb19af0) is already in the PageRow

    and the system settings can not load themes or styles
    Any ideas?

  38. Nick says:

    GPG error: http://download.opensuse.org/repositories/home:/npreining:/debian-kde:/plasma524/Debian_11 ./ InRelease: The following signatures were invalid: EXPKEYSIG B8AC39B0876D807E home:npreining OBS Project

  1. 2022/02/09

    […] Die Ankündigung geht auf weitere Änderungen ein, die volle Liste ist dem Changelog zu entnehmen. Norbert Preining hat für Anwender von Debian Testing und Unstable Plasma 5.24 in seinem OBS-Repository bereitgestellt. […]

  2. 2022/02/10

    […] KDE/Plasma 5.24 for Debian […]

Leave a Reply to frank Cancel reply

Your email address will not be published.

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>